import 'package:flutter/material.dart';
import 'package:sapaly_shop/features/screens/home/home_screen.dart';

import 'features/screens/auth/login/login_screen.dart';
import 'features/widgets/empty_widget.dart';

Route<dynamic> generateRoute(RouteSettings routeSettings) {
  switch (routeSettings.name) {
    case LoginScreen.routeName:
      return MaterialPageRoute(
        builder: (_) => LoginScreen(),
      );

    case HomeScreen.routeName:
      return MaterialPageRoute(
        builder: (_) => const HomeScreen(),
      );
    default:
      return MaterialPageRoute(
        settings: routeSettings,
        builder: (_) => const EmptyWidget(),
      );
  }
}
